Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 207077 - Review Request: classpath-0.92 - Essential Libraries for Java
Summary: Review Request: classpath-0.92 - Essential Libraries for Java
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-09-19 06:06 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-27 21:20:24 UTC


Attachments (Terms of Use)

Description Paul F. Johnson 2006-09-19 06:06:57 UTC
Spec URL: www.knox.net.nz/~nodoid/classpath-0.92-1jpp
SRPM URL: www.knox.net.nz/~nodoid/classpath.spec
Description: 

GNU Classpath, Essential Libraries for Java, is a GNU project to create free core class libraries for use with virtual machines and compilers for the java programming language.

Please note, this is my first ever attempt to package a java product, so be gentle with me.

The spec file contains two files in the normal %files section with a hard coded /usr/lib. When I compiled it (outside of mock), on my x86_64 box, these two files were created. I have no idea if this is correct or not.

Comment 1 Paul F. Johnson 2006-09-19 21:33:29 UTC
Spec URL: www.knox.net.nz/~nodoid/classpath-0.92-2jpp
SRPM URL: www.knox.net.nz/~nodoid/classpath.spec

A couple of rpmlint fixes. I'll remove the jpp suffix next spin

Comment 2 Ville Skyttä 2006-09-19 22:00:37 UTC
Parts of GNU Classpath are already being shipped in Core, eg. gnu-crypto.  Maybe
it would be beneficial to try and combine efforts somehow?  Are there any
potential issues with gcj if the same but possibly subtly different versions of
the same class (eg. from gnu-crypto and classpath) end up in the same classloader?

Comment 3 Paul F. Johnson 2006-09-19 22:06:53 UTC
I would imagine that if classpath is newer than the bits already in core, then
they will be used in preference to the existing ones.

As to what damage that may cause, I have no idea. I do know though that gcj is
not up to the job to compile ikvm or limewire...

I'm all for co-operating as well :-)

Comment 4 Thomas Fitzsimmons 2006-09-20 16:14:16 UTC
(In reply to comment #3)

> As to what damage that may cause, I have no idea. I do know though that gcj is
> not up to the job to compile ikvm or limewire...

If your goal is to package LimeWire for Fedora Core, then the easiest way is
likely to fix whatever GCJ problems are preventing you from building it.

Limewire >= 4.13 requires Java 1.5 so it probably won't be buildable until FC-7,
but in the meantime we should package 4.12:

svn co http://limewire.org/svn/limewire/branches/bugfix-4-12-branch limewire
cd limewire/core
ant
cd ../gui
ant

That builds fine on my i686 Rawhide test machine, using the system-installed
ecj/libgcj.


Comment 5 Fernando Nasser 2006-09-21 01:25:19 UTC
I have a limewire-3.5.6-3jpp RPM that I could try and upgrade to 4.12

Comment 6 Anthony Green 2006-09-26 13:41:38 UTC
I don't think packaging GNU Classpath as an independent package is a good idea.
 We discussed this a little on the fedora-devel-java-list.  Your two reasons for
wanting this packaged were:
1. To solve the ikvm-bundles-classpath-binaries problem
2. To build limewire

We don't need this for [2], as per comment #4.

For the ikvm problem, please just add the appropriate GNU Classpath source
release as a SOURCE to the ikvm spec file, and build it as part of the ikvm
package build.

We're trying to keep JRE packaging consistent and, while I realize that IKVM is
different in many ways, installing a stand-alone Classpath jar file is sure to
lead to problems down the road.



Comment 7 Paul F. Johnson 2006-09-27 21:20:24 UTC
Fair enough. I'll withdraw the package from review.

Thanks for the comments :-)


Note You need to log in before you can comment on or make changes to this bug.